cURL
curl --request POST \
--url https://app.example.com/v1/admin/catalog/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"vertical": "products",
"query": "<string>",
"mode": "hybrid",
"sort": "relevance",
"projection": "raw",
"filters": [
{}
],
"facets": [
{
"field": "<string>",
"limit": 123
}
],
"pagination": {
"limit": 123,
"cursor": "<string>"
},
"market": "<string>",
"locale": "<string>"
}'const response = await fetch("https://app.example.com/v1/admin/catalog/search", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"vertical": "products",
"query": "<string>",
"mode": "hybrid",
"sort": "relevance",
"projection": "raw",
"filters": [
{}
],
"facets": [
{
"field": "<string>",
"limit": 123
}
],
"pagination": {
"limit": 123,
"cursor": "<string>"
},
"market": "<string>",
"locale": "<string>"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://app.example.com/v1/admin/catalog/search",
headers={
"Authorization": "Bearer <token>"
},
json={
"vertical": "products",
"query": "<string>",
"mode": "hybrid",
"sort": "relevance",
"projection": "raw",
"filters": [
{}
],
"facets": [
{
"field": "<string>",
"limit": 123
}
],
"pagination": {
"limit": 123,
"cursor": "<string>"
},
"market": "<string>",
"locale": "<string>"
}
)
data = response.json()
{
"vertical": "<string>",
"mode": "<string>",
"total": 123,
"hits": [
{}
],
"cards": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"media": {
"thumbnailUrl": "<string>",
"coverMediaUrl": "<string>"
},
"priceFrom": {
"amountCents": 123,
"currency": "<string>",
"originalAmountCents": 123
}
}
],
"facets": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Catalog
Search the catalog index
Keyword, semantic, or hybrid search over the indexed catalog for staff. Requires vertical. Returns hits and optional storefront cards plus facets.
POST
/
v1
/
admin
/
catalog
/
search
cURL
Authorizations
Staff session or API token issued by your Voyant app.
Body
application/json
Example:
"products"
Available options:
keyword, semantic, hybrid Available options:
relevance, price-asc, price-desc, departure-asc, newest Available options:
raw, storefront-card Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I